com.pdfunit.font

## Enum IdentifiedBy

- java.lang.Object
- - java.lang.Enum<IdentifiedBy>
  - - com.pdfunit.font.IdentifiedBy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IdentifiedBy>

      @DoNotObfuscate
      public enum IdentifiedBy
      extends java.lang.Enum<IdentifiedBy>

  Enumeration containing font filters.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLPROPERTIES`
    `BASENAME`
    `EMBEDDED`
    `NAME`
    `NAME_TYPE`
    `TYPE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNumberOfEntries(java.util.Hashtable<java.lang.String,com.pdfunit.internal.spi.IFont> allFonts)` Returns the number of fonts.
    `static IdentifiedBy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IdentifiedBy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALLPROPERTIES

          public static final IdentifiedBy ALLPROPERTIES

    - #### BASENAME

          public static final IdentifiedBy BASENAME

    - #### EMBEDDED

          public static final IdentifiedBy EMBEDDED

    - #### NAME

          public static final IdentifiedBy NAME

    - #### NAME_TYPE

          public static final IdentifiedBy NAME_TYPE

    - #### TYPE

          public static final IdentifiedBy TYPE

  - ### Method Detail

    - #### values

          public static IdentifiedBy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IdentifiedBy c : IdentifiedBy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IdentifiedBy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getNumberOfEntries

          public int getNumberOfEntries(java.util.Hashtable<java.lang.String,com.pdfunit.internal.spi.IFont> allFonts)

      Returns the number of fonts.

Copyright (C) PDFUnit.com. See here for license.